PUT V1/RateAndTariff.{ext}/RateComments

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.RateAndTariff.Entities.RateComment
NameDescriptionTypeAdditional information
RateCommentMapId

No description available

integer

None.

RateId

No description available

integer

None.

RateCommentId

No description available

integer

None.

Comments

No description available

string

None.

ProfileImageType

No description available

string

None.

CreatedDate

No description available

string

None.

CreatedUser

No description available

string

None.

UserName

No description available

string

None.

ModifiedUser

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "rateCommentMapId": 1,
  "rateId": 2,
  "rateCommentId": 3,
  "comments": "sample string 4",
  "profileImageType": "sample string 5",
  "createdDate": "sample string 6",
  "createdUser": "sample string 7",
  "userName": "sample string 8",
  "modifiedUser": "sample string 9"
}

application/xml, text/xml

Sample:
<RateComment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities">
  <Comments>sample string 4</Comments>
  <CreatedDate>sample string 6</CreatedDate>
  <CreatedUser>sample string 7</CreatedUser>
  <ModifiedUser>sample string 9</ModifiedUser>
  <ProfileImageType>sample string 5</ProfileImageType>
  <RateCommentId>3</RateCommentId>
  <RateCommentMapId>1</RateCommentMapId>
  <RateId>2</RateId>
  <UserName>sample string 8</UserName>
</RateComment>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.